/*
 Product Bルート申込受付システム
 (C) YONDEN T&D CO., LTD. All rights reserved.
*/
@charset "UTF-8";

:root {
  /* color */
  --primary-color: #2e75b6;
  --secondary-color: #777;
  --tertiary-color: #dfdfdf;
  --quaternary-color: #3a8ffd;
  --quinary-color: #2e30b6;
  --bright-color: #fff;
  --disabled-color: #ccc;
  --black-color: #000;
  --link-color: #3382ff;
  --count-unit-ken-color: #3d83c2;
  --label-required-color: #ff4444;
  --border-color: #bbb;
  --border-color-dark: #4c4c4c;
  --text-color-error: #ee0000;
  --text-color-warning: #ff2424;

  /* background */
  --bg-body: #f0f4f9;
  --bg-base: #fff;
  --bg-container: #fff;
  --bg-container-sp: #f3e5de;
  --bg-menu: #f9f9f9;
  --bg-error: #fdeaea;
  --bg-readonly: #ccc;

  /* form */
  --form-field-border-color: #767676;
  --form-field-border-radius: 2px;
  --form-field-height: 35px;
  --form-field-pl: 7px;
  --form-input-guidespace: 5px;
  --form-radio-height: 24px;
  --form-radio-mr: 5px;

  /* radius */
  --border-radius-common: 5px;
  --border-radius-textarea: 2px;

  /* spacelayout */
  --layout-padding: 20px;
  --layout-margin: 100px;

  /* spacesection */
  --section-gap-sm: 20px;
  --section-gap-md: 30px;
  --section-gap-lg: 50px;

  /* spaceinline */
  --space-inline-xs: 5px;
  --space-inline-sm: 10px;

  /* spacegap */
  --gap-xs: 5px;
  --gap-sm: 8px;
  --gap-mm: 0.6rem;
  --gap-md: 1rem;
  --gap-lg: 2rem;

  /* other */
  --hover-opacity-normal: 0.8;
  --w-two-thirds: calc(100% * (2 / 3));
}

/* reset */
* {
  margin: 0;
  padding: 0;
}

/* base */
body {
  padding-bottom: 30px;
  background-color: var(--bg-body);
}

body,
input,
textarea,
select,
button {
  font-family: "Helvetica Neue", Arial, "Hiragino Kaku Gothic ProN",
    "Hiragino Sans", Meiryo, sans-serif;
}

main {
  display: flex;
  justify-content: center;
  padding: 100px 0 10px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: normal;
}

ul,
li {
  list-style-type: none;
}

/* header */
header {
  position: fixed;
  width: 100%;
  z-index: 10000;
}

.header {
  background-color: var(--primary-color);
  color: white;
  min-height: 70px;
  max-height: 100px;
  height: auto;
  width: calc(100% - 0.6rem);
  padding: 0.3rem;
  gap: 1rem;
}

.header-information {
  width: 100%;
  text-align: end;
  font-size: clamp(0.75rem, 2.4vw, 0.875rem);
}

.global-icon,
.global-button {
  background: none;
  border: none;
  width: 48px;
  height: 48px;
}

.global-button {
  cursor: pointer;
}

.header-inner {
  height: 48px;
  gap: 0.5rem;
}

header h1 {
  font-size: clamp(1rem, 3vw, 2rem);
  padding-left: 7px;
}

/* navigation */
.global-area {
  background-color: var(--primary-color);
  height: auto;
  max-width: 200px;
  width: 100%;
  margin-left: auto;
  position: fixed;
  right: 0;
}

.global-area.hidden {
  display: none;
}

.global-area.open {
  display: block;
}

.navlist-wrapper li {
  list-style-type: none;
  width: 100%;
  text-align: center;
}

.navlist-wrapper li a {
  color: #fff;
  text-decoration: none;
}

.navlist-wrapper li:not(:last-child)::after {
  content: "";
  display: block;
  width: 100%;
  margin: 0.5rem auto;
  border-bottom: 1px solid #fff;
}

/* heading */
h1.address-search-heading {
  font-size: 1.25rem;
}

h2.group-wrapper-title {
  font-size: clamp(1rem, 3vw, 1.125rem);
  text-align: center;
  padding: 0 2.5rem 1px;
  width: fit-content;
  margin: 2.5rem auto;
  border-bottom: 3.9px solid var(--primary-color);
}

h2.section-heading {
  font-size: clamp(1.15rem, 3vw, 1.125rem);
  text-align: center;
  padding: 0 2.5rem 1px;
  width: fit-content;
  margin: 2.5rem auto;
  border-bottom: 3.9px solid var(--primary-color);
}

/* layout */
.container {
  width: 900px;
  padding: 30px;
  border: 1px solid var(--border-color);
  border-radius: 15px;
  background-color: var(--bg-container);
}

.section-area {
  display: flex;
  justify-content: center;
}

/* background */
.bg-transparent {
  background-color: transparent;
}

.bg-base {
  background-color: var(--bg-base);
}

.bg-body {
  background-color: var(--bg-body);
}

/* font-color */
.font-black {
  color: var(--black-color);
}

.font-red {
  color: var(--text-color-warning);
}

/* gap */
.gap-mm {
  gap: var(--gap-mm);
}

.gap-md {
  gap: var(--gap-md);
}

/* ステップバー */
.step-bar-group-bar {
  width: 100px;
  height: 10px;
  margin-bottom: 5px;
  background-color: var(--disabled-color);
}

.step-bar-group-heading {
  color: var(--border-color);
  text-align: center;
}

/* ガイダンス・メッセージ */
.copyright {
  color: var(--secondary-color);
  font-size: 0.875rem;
  text-align: center;
}

.guidance-area {
  font-size: 0.875rem;
  text-align: center;
}

.message-area {
  height: auto;
  font-size: 0.875rem;
  color: var(--text-color-error);
  text-align: center;
  margin-bottom: 10px;
}

.message-area-text-black {
  height: auto;
  font-size: 0.875rem;
  color: var(--black-color);
  text-align: center;
  margin-bottom: 10px;
}

.message-input-error {
  max-width: 900px;
  width: calc(100vw - 8.45rem);
  margin: 0 auto;
  text-align: center;
}

.p-rem-3-pc {
  padding: 3rem;
}

/* テーブル */
table,
.border-level-tr tr,
.border-level-th tr,
.border-level-th th,
.border-level-td th,
.border-level-td td {
  border: 1px solid;
  border-collapse: collapse;
}

th,
td {
  padding: 14px 20px;
  white-space: nowrap;
}

table.table-with-stickyhead {
  border-collapse: separate !important;
  border-spacing: 0 !important;
}

tbody {
  background-color: var(--bright-color);
}

thead {
  background-color: var(--secondary-color);
}

.tbody-striped tr:nth-child(odd) {
  background-color: var(--bright-color);
}

.tbody-striped tr:nth-child(even) {
  background-color: var(--tertiary-color);
}

.border-half,
.border-half th,
.border-half td {
  border-bottom: 0.5px solid #232323 !important;
}

.border-half th {
  position: sticky;
  top: 0;
  z-index: 9990;
  background-color: var(--secondary-color) !important;
  min-width: 100px;
  color: var(--bright-color);
}

/* 検索条件テーブル */
.search-condition-form {
  display: flex;
  flex-wrap: wrap;
  margin: 15px auto;
}

.search-condition {
  border-collapse: separate;
  border-spacing: 7px 0;
}

.search-condition-th {
  width: 100px;
  white-space: nowrap;
  box-sizing: border-box;
}

.search-condition :is(th, td) {
  padding: 0px 2px;
}

.search-condition :is(tr, td) {
  height: 42px;
}

/* スクロール */
.scroll-vh {
  min-height: 60px;
  max-height: 500px;
  height: auto;
  overflow-x: auto;
  overflow-y: auto;
  background-color: var(--bright-color);
}

.scroll-wrapper {
  position: relative;
}

.h-heading-m {
  min-height: 40px;
}

/* ボタン */
button {
  border-radius: var(--border-radius-common);
  border: 0px;
  cursor: pointer;
}

button:hover {
  opacity: var(--hover-opacity-normal);
}

button.button-tight {
  padding-left: 0.5rem;
  padding-right: 0.5rem;
}

button:disabled {
  background-color: var(--disabled-color);
  pointer-events: none;
}

.button {
  border: none;
  background-color: var(--primary-color);
  color: var(--bright-color);
  font-size: 1rem;
  cursor: pointer;

  &:hover {
    opacity: var(--hover-opacity-normal);
  }
}

.button-cancel {
  border: none;
  background-color: var(--bg-error);
  color: var(--text-color-warning);
  font-size: 1rem;
  box-sizing: border-box;
  border: 2px solid var(--text-color-warning);
}

.button-area {
  text-align: center;
}

.button-duo {
  display: flex;
  justify-content: center;
}

.button-duo button {
  flex: 1;
}

button.h-px-35 {
  min-height: 35px;
  height: auto;
}

.button-area .button.w-px-150 {
  max-width: 150px;
  padding-left: 1rem;
  padding-right: 1rem;
}

button.button-input-date {
  width: 30px;
  height: 30px;
  background: none;
  border: none;
  vertical-align: middle;
  line-height: 0;
  padding: 0;
}

button.v-hidden {
  visibility: hidden;
  position: absolute;
}

/* ボタン選択メニュー */
.button-select-menu {
  width: 130px;
  height: auto;
  border: none;
  vertical-align: middle;
  line-height: 0;
  padding: 0;
  border-radius: var(--border-radius-common);
}

.button-select-menu:hover {
  opacity: var(--hover-opacity-normal);
}

.button-select-menu.sp-only {
  visibility: hidden;
}

li.button-select-menu button {
  display: flex;
  align-items: center;
  gap: 1px;
  cursor: pointer;
  padding: 0.7rem 0.3rem 0rem 0.3rem;
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  font-size: clamp(0.75rem, 2.5vw, 0.875rem);
  justify-content: space-evenly;
  position: relative;
  background-color: transparent;
}

li.button-select-menu button img {
  pointer-events: none;
}

.button-select-menu .item-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: calc(100% + 0.6rem);
}

.item-wrapper .select-menu-text {
  width: 100%;
  min-height: 38px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 10px;
  padding-bottom: 10px;
  margin-top: 30px;
  border-radius: var(--border-radius-common);
}

.item-wrapper .select-menu-button-icon {
  position: absolute;
  top: 0px;
}

.setting-top-icon {
  padding-top: 0px;
}

/* ボタンページネーション */
.button-pagination,
.button-pagination-number {
  box-sizing: border-box;
  border-radius: 0px;
  cursor: pointer;
  text-align: center;
  border-left: 1px solid var(--border-color-dark);
}

.button-pagination {
  width: 36px;
  height: 36px;
  vertical-align: middle;
  line-height: 0;
  padding: 0;
  border-top: 0px;
  border-bottom: 0px;
}

.button-pagination-number {
  min-width: 33px;
  height: 36px;
  color: #595959;
  font-size: 18px;
  padding: 8px 7px;
  border-radius: 0px;
  background-color: var(--tertiary-color);
  line-height: 1;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.button-pagination:last-child {
  border-right: 37px solid var(--border-color-dark);
}

.button-pagination-number:last-child {
  border-right: 1px solid var(--border-color-dark);
}

/* ページネーション */
.pagination {
  background: none;
  border-top: 1px solid var(--border-color-dark);
  border-bottom: 1px solid var(--border-color-dark);
}

/* アイコン */
.button-img-event,
.calender-button-icon,
.pagination-button-icon {
  pointer-events: none;
}

.calender-button-icon {
  width: 30px;
  height: 28px;
  display: flex;
  margin-bottom: 2px;
}

.select-menu-button-icon {
  max-width: 100%;
  width: 50px;
  height: 50px;
  display: flex;
}

.pagination-button-icon {
  width: 36px;
  height: 30px;
  padding-top: 3px;
  padding-bottom: 3px;
  background-color: var(--bright-color);
}

/* リンク */
.button-link {
  color: var(--link-color);
  text-decoration: none;
  background: none;
  border: none;
  font-family: inherit;
  font-size: inherit;
  letter-spacing: inherit;
  line-height: inherit;
  cursor: pointer;
}

.button-link:hover,
button.link:hover {
  opacity: unset;
}

.header-button-link {
  color: #fff !important;
}

.link {
  color: var(--link-color);
  text-decoration: none;
  background-color: inherit;
}

.link-blue-underline {
  color: var(--link-color);
  text-decoration: underline;
  cursor: pointer;
}

.nav-link {
  color: #fff;
  text-decoration: none;
}

/* ログイン */
.login-form-area {
  max-width: 750px;
  margin: 0 auto;
  padding: 1rem 3rem 1rem 3rem;
}

.login-heading {
  margin-bottom: 25px;
}

.login-item-wrapper {
  width: 100%;
  max-width: 450px;
}

.login-item-wrapper .button {
  max-width: 150px;
  width: 100%;
}

.login-item-wrapper .label {
  display: inline-block;
  width: 120px;
  flex-shrink: 0;
  white-space: nowrap;
}

.login-item-wrapper.ml-negative-l {
  margin-left: -120px;
}

/* パスワード変更 */
.c-form-area-lg {
  max-width: 750px;
  margin: 0 auto;
  padding: 1rem 3rem 1rem 3rem;
}

.c-form-area-l {
  max-width: 450px;
  margin: 0 auto;
  padding: 1rem 3rem 1rem 3rem;
}

.c-form-item-wrapper {
  width: 100%;
  max-width: 600px;
}

.c-form-item-wrapper .button {
  max-width: 150px;
  width: 100%;
}

.c-form-item-wrapper .label {
  display: inline-block;
  width: 200px;
  flex-shrink: 0;
  white-space: nowrap;
}

.c-form-item-wrapper.ml-negative-l {
  margin-left: -200px;
}

/* エントリー画面 */
.c-grid {
  display: grid;
  width: 100%;
  margin: 0 auto;
  justify-content: center;
  align-items: center;
}

.c-grid-wrapper-md {
  max-width: 650px;
}

.grid-inner-center-md {
  grid-template-columns: auto minmax(auto, 250px) auto;
  gap: 1rem 0.6rem;
}

.grid-inner-center-md .label {
  display: inline-block;
  width: max-content;
  white-space: nowrap;
  margin-right: var(--gap-md);
}

/* メニュー */
.menu-heading {
  font-size: 1.25rem;
  max-width: 470px;
  width: 100%;
  padding-left: 1rem;
  padding-right: 1rem;
  box-sizing: border-box;
  min-height: 1.25rem;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 auto;
  border-bottom: 2px solid;
}

.heading-search {
  color: var(--primary-color);
}

.heading-voltage-low {
  color: var(--quaternary-color);
}

.heading-voltage-high {
  color: var(--quinary-color);
}

.bg-search {
  background-color: var(--primary-color);
}

.bg-voltage-low {
  background-color: var(--quaternary-color);
}

.bg-voltage-high {
  background-color: var(--quinary-color);
}

.bg-disabled {
  background-color: var(--disabled-color);
}

.no-hover:hover {
  opacity: 1;
}

.section-select-menu {
  margin-bottom: 45px;
}

.search-select {
  min-width: 120px;
  min-height: 33px;
  border-radius: var(--border-radius-common);
  border: 0.7px solid var(--form-field-border-color);
}

.select-menu-wrapper {
  width: 100%;
  padding: 0.4rem 0;
  box-sizing: border-box;
  margin: 0 auto;
}

.select-menu-inner {
  display: flex;
  flex-direction: row;
  max-width: 470px;
  margin: 0 auto;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.w-two-thirds {
  width: var(--w-two-thirds);
}

/* フォーム */
input[type="text"],
input[type="password"],
.input-common-height {
  box-sizing: border-box;
  border: 0.7px solid var(--form-field-border-color);
  border-radius: var(--border-radius-common);
  min-height: var(--form-field-height);
  padding-left: var(--form-field-pl);
  padding-right: var(--form-field-pl);
}

input[type="text"]:read-only {
  background-color: var(--bg-readonly);
  padding-left: var(--form-field-pl);
  padding-right: var(--form-field-pl);
}

input[type="text"]:read-only:focus {
  outline: none !important;
}

input[type="radio"] {
  min-height: var(--form-radio-height);
  margin-right: var(--form-radio-mr);
}

input[type="date"] {
  min-width: 100px;
  padding-left: var(--form-field-pl);
}

input[type="file"]::file-selector-button,
input[type="file"] {
  min-height: var(--form-field-height);
}

textarea {
  border-radius: var(--border-radius-common);
  border: 0.7px solid var(--form-field-border-color);
  padding: var(--form-field-pl);
}

.text-area-tight {
  min-height: 203px;
  max-width: 290px;
  width: calc(100% - (var(--form-field-pl) * 2));
}

.radio-wrapper {
  width: fit-content;
}

/* フォームアイテム */
.form-item {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: start;
  gap: var(--gap-xs);
  padding: 8px 12px;
  border-radius: 4px;
}

.form-item label {
  font-weight: bold;
}

.form-item.min-m {
  min-width: 10vw;
}

.form-item.min-m .min-m-inner {
  max-width: 90px;
}

.form-item.min-m .min-m-inner-wide {
  max-width: 100px;
}

/* フォームファイル選択 */
.file-shrink-wrapper {
  min-width: 0px;
}

.file-shrink-input {
  flex-shrink: 0;
  white-space: nowrap;
}

.file-shrink-button {
  flex-shrink: 0;
  white-space: nowrap;
}

.file-shrink-text {
  flex-shrink: 1;
  min-width: 0;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.file-shrink-img {
  flex-shrink: 0;
}

.file-select {
  width: 120px;
  height: 35px;
}

/* フォーム入力ガイド */
.has-guide:has(.input-guide) .guide-space {
  margin-right: var(--form-input-guidespace);
}

.input-guide {
  font-size: 0.875rem;
  color: var(--secondary-color);
  white-space: nowrap;
  margin-left: var(--gap-mm);
}

/* フォーム入力エリア */
.input-area {
  margin-bottom: 30px;
}

.input-group {
  display: flex;
  margin-bottom: 20px;
  padding-bottom: 20px;
  border-bottom: 1px solid #ddd;

  &:last-child {
    margin-bottom: 0;
  }
}

.input-group-nonborder {
  display: flex;
  margin-bottom: 20px;
}

.input-group-nonborder.mb-10 {
  margin-bottom: 10px !important;
}

.input-group-left {
  min-width: 200px;
}

.input-field {
  height: var(--form-field-height);
  font-size: 1rem;
}

.input-common-height {
  font-size: 1rem;
}

/* 必須ラベル */
label.required {
  display: inline-flex;
  flex-direction: row;
  align-items: center;
  vertical-align: middle;
  line-height: 1.2;
  padding-top: 2px;
}

label.required::after {
  content: "必須";
  font-size: 0.75rem;
  color: #fff;
  background-color: var(--label-required-color);
  border-radius: 5px;
  padding: 7px 10px;
  margin-left: 8px;
  white-space: nowrap;
  box-sizing: border-box;
  line-height: 1;
  position: relative;
  top: -1px;
}

.labeltype-bg-color {
  box-sizing: border-box;
  padding: 7px 10px;
  border-radius: var(--border-radius-common);
}

/* 確認画面 */
input.confirm,
textarea.confirm {
  border: none !important;
  background-color: var(--bright-color) !important;
  color: #000 !important;
  padding: 0px !important;
  font-size: inherit;
  outline: none;
}

.service-point-no {
  width: 141px;
}

/* モーダル */
.terms-of-use-modal-wrapper {
  display: none;
  position: fixed;
  border-radius: 10px;
  text-align: center;
  background-color: rgba(0 0 0 / 0.5);
  margin: auto;
  top: 0px;
  left: 0px;
  height: 100vh;
  width: 100%;
  z-index: 1;
}

.terms-of-use-modal-inner-wrapper {
  display: flex;
  justify-content: center;
  max-height: 60%;
  max-width: 780px;
  position: absolute;
  width: 80%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  flex-direction: column;
  background-color: var(--bg-body);
  align-items: center;
}

.terms-of-use-scroll-area {
  width: 80%;
  height: auto;
  border: 0.7px solid var(--form-field-border-color);
  overflow-y: auto;
  overflow-x: hidden;
  z-index: 2;
  padding: 1rem;
  box-sizing: border-box;
  border-radius: 5px;
  margin-inline: 1rem;
  background-color: var(--bg-base);
}

.search-modal-wrapper {
  display: none;
  position: fixed;
  border-radius: 10px;
  text-align: center;
  background-color: rgba(0 0 0 / 0.5);
  margin: auto;
  top: 0px;
  left: 0px;
  height: 100vh;
  width: 100%;
  z-index: 9999;
}

.modal-inner-wrapper {
  display: flex;
  justify-content: center;
  max-height: 60%;
  max-width: 780px;
  position: absolute;
  width: 80%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  flex-direction: column;
  background-color: var(--bg-body);
  align-items: center;
}

.modal-list-wrapper {
  list-style-type: none;
  cursor: pointer;
  padding: 2rem;
  text-align: start;
  display: flex;
  flex-direction: column;
  background-color: var(--bright-color);
  max-width: 570px;
  width: fit-content;
  align-items: flex-start;
  margin: 0 auto 30px auto;
  font-size: 1rem;
  border-radius: 15px;
}

.modal-list-wrapper ul li,
.modal-list-wrapper li {
  text-decoration: underline !important;
}

.modal-scroll-area {
  width: 100%;
  max-height: 400px;
  height: 70%;
  overflow-y: auto;
  overflow-x: hidden;
}

.modal-cancel-button {
  color: var(--secondary-color);
  font-size: 50px;
  border: none;
  background: none;
  width: 100%;
  height: 48px;
  cursor: pointer;
  background-color: var(--bg-body);
  text-align: end;
  padding-right: 1px;
  border-radius: 0px;
}

/* 住所検索 */
.address-search-item {
  text-align: left;
  list-style: none;
  cursor: pointer;
}

.address-search-heading {
  border-bottom: 1.2px solid var(--form-field-border-color);
  text-align: left;
  margin-bottom: 10px;
  padding-top: var(--gap-mm);
  padding-bottom: 0.3rem;
}

.address-search-heading:empty {
  display: none;
}

.address-list-wrapper {
  text-align: left;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1rem;
}

/* 行高 */
.line-single {
  line-height: 1rem;
}

.line-double {
  line-height: 2rem;
}

.line-double-only {
  line-height: 2rem;
}

/* オートフィル対応（Webkit/Firefox */
/* Chrome, Safari, Edge 用 */
:is(.input-field, .input-common-height):-webkit-autofill,
:is(.input-field, .input-common-height):-webkit-autofill:hover,
:is(.input-field, .input-common-height):-webkit-autofill:focus,
:is(.input-field, .input-common-height):-webkit-autofill:active {
  -webkit-box-shadow: 0 0 0px 1000px var(--bright-color) inset;
  box-shadow: 0 0 0px 1000px var(--bright-color) inset;
  -webkit-text-fill-color: #000;
  transition: background-color 5000s ease-in-out 0s;
}

/* Firefox 用 */
:is(.input-field, .input-common-height):-moz-autofill,
:is(.input-field, .input-common-height):-moz-autofill-preview {
  background-color: var(--bright-color) inset;
  box-shadow: 0 0 0px 1000px var(--bright-color) inset;
  -moz-text-fill-color: #000;
}

/* エラー時の背景色優先 */
/* Chrome, Safari, Edge 用 */
:is(.input-field, .input-common-height).bg-color-highlight:-webkit-autofill,
:is(.input-field, .input-common-height).bg-color-highlight:-webkit-autofill:hover,
:is(.input-field, .input-common-height).bg-color-highlight:-webkit-autofill:focus,
:is(.input-field, .input-common-height).bg-color-highlight:-webkit-autofill:active {
  -webkit-box-shadow: 0 0 0px 1000px var(--bg-error) inset;
  box-shadow: 0 0 0px 1000px var(--bg-error) inset;
  -webkit-text-fill-color: #000;
}

/* Firefox 用 */
:is(.input-field, .input-common-height).bg-color-highlight:-moz-autofill,
:is(.input-field, .input-common-height).bg-color-highlight:-moz-autofill-preview {
  background-color: var(--bg-error) inset;
  -moz-text-fill-color: #000;
}

/* レイアウト */
.input-group,
.input-group-nonborder {
  display: grid;
  grid-template-columns: minmax(auto, 33%) 1fr;
  align-items: center;
  grid-gap: var(--gap-sm);
}

.input-group-nonborder .row-nowrap,
.input-group .row-nowrap {
  white-space: nowrap;
  align-items: center;
}

.input-group.w-100 {
  grid-template-columns: 1fr;
}

.input-group-right.flex-sp-col {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.input-group-nonborder .right-wrapper {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.container {
  max-width: 900px;
  width: calc(100% - 3.75rem);
  margin: 1.875rem;
  padding: 1.875rem;
  overflow: hidden;
}

.step-bar {
  font-size: clamp(14px, 3vw, 16px);
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-gap: 10px;
  max-width: 320px;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 20px;
  justify-content: center;
}

.step-bar-group-bar {
  max-width: 100px;
  width: 100%;
}

.duo-spsm-col {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  gap: 0.3rem var(--gap-md);
}

.right-wrapper-form-post {
  display: grid;
  grid-template-columns: auto 1fr 1fr;
  gap: 15px;
}

.flex-sp-col-sm {
  display: flex;
  flex-direction: row;
  gap: 0.3rem;
  flex-wrap: wrap;
}

.name-input-wrapper {
  display: flex;
  align-items: center;
}

.name-wrapper {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}

.br-sp-only {
  display: none;
}

.sp-col {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.nowrap {
  white-space: nowrap;
}

.border-common {
  border-radius: var(--border-radius-common);
}

.border-bottom-common {
  border-radius: 0px 0px 5px 5px;
}

/* media */
@media (min-width: 801px) {
  .modal-list-wrapper .my-10 {
    margin-bottom: 3px;
  }
}

@media (max-width: 800px) {
  main {
    overflow-x: hidden;
  }

  .w-px-200 {
    max-width: 200px;
    width: 100%;
  }

  .container {
    margin: 1.1rem;
    padding: 1.1rem;
  }

  .step-bar {
    font-size: clamp(14px, 3vw, 16px);
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 10px;
    max-width: 320px;
    margin-left: auto;
    margin-right: auto;
  }

  .sp.message-bottom.mt-60 {
    margin-top: 0px;
  }

  .login-item-wrapper,
  .c-form-item-wrapper {
    max-width: 250px;
  }

  .login-item-wrapper .button {
    max-width: 100%;
  }

  .login-item-wrapper.ml-negative-l,
  .c-form-item-wrapper.ml-negative-l {
    margin-left: 0;
  }

  .login-support .font-sm {
    font-size: 1rem;
  }

  .c-grid-wrapper-md {
    max-width: 250px;
  }

  .grid-inner-center-md {
    grid-template-columns: 1fr;
    gap: 1rem;
  }

  .grid-inner-center-md .display-contents {
    display: grid;
    grid-template-columns: 1fr;
    width: 100%;
    gap: 0rem;
  }

  .grid-inner-center-md .w-px-250 {
    max-width: none;
    width: 100%;
  }

  .input-group,
  .input-group-nonborder {
    grid-gap: 0.4rem;
  }

  .input-area {
    width: 100%;
  }

  .input-section {
    width: 100%;
  }

  .input-group label {
    font-size: clamp(14px, 3vw, 16px);
  }

  .input-group-nonborder .right-wrapper {
    flex-direction: column;
    align-items: flex-start;
  }

  .input-group-nonborder .right-wrapper .right-wrapper-text {
    padding-bottom: 0.675rem;
  }

  .input-group-right.row-wrapper {
    display: flex;
    flex-direction: row;
    align-items: center;
  }

  label {
    font-size: clamp(14px, 3vw, 16px);
  }

  .br-pc-only {
    display: none;
  }

  .br-sp-only {
    display: block;
  }

  .button-area.button-duo .w-px-150 {
    font-size: clamp(0.875rem, 3vw, 1rem);
    max-width: 150px;
    width: 80%;
  }

  .button-area.button-duo .h-px-35 {
    height: auto;
    min-height: 35px;
  }

  .input-group {
    grid-template-columns: none;
    grid-template-rows: 1fr;
  }

  .input-group-nonborder {
    grid-template-columns: none;
    grid-template-rows: 1fr;
  }

  .input-group-right span.input-guide {
    white-space: nowrap;
    font-size: clamp(12px, 3vw, 14px);
  }

  .input-group-right .flex-file {
    min-width: 140px;
  }

  .input-group-right .flex-file.w-px-300 {
    width: 100%;
  }

  .input-group-right.flex-sp-col {
    flex-direction: column;
    align-items: flex-start;
  }

  .flex-sp-col label {
    padding-bottom: 0.5rem;
  }

  .input-group-nonborder .row-nowrap,
  .input-group .row-nowrap {
    white-space: nowrap;
    display: flex;
    flex-wrap: wrap;
  }

  .input-group-left {
    width: auto;
  }

  .name-input-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
  }

  .name-wrapper {
    align-items: flex-end;
  }

  .sp-col {
    flex-direction: column;
    align-items: flex-start;
  }

  .name-wrapper .input-guide-wrapper {
    padding-bottom: 8.75px;
  }

  .p-rem-3-pc {
    padding: 0;
  }
}

@media (max-width: 700px) {
  .step-bar {
    padding-top: 0.25rem;
  }
}

@media (min-width: 451px) {
  .sp-only-m {
    display: none;
  }
}

@media (max-width: 450px) {
  .line-double {
    line-height: 3rem;
  }

  .line-double-only {
    line-height: 1rem;
  }
}

@media (max-width: 325px) {
  .select-menu-inner {
    flex-direction: column;
  }

  .button-select-menu.sp-only {
    display: none;
  }

  li.button-select-menu a {
    font-size: 0.75rem;
  }
}

@media (max-width: 255px) {
  .duo-spsm-col {
    flex-direction: column;
  }

  .duo-spsm-col>div:nth-of-type(n+2)>input.ml-10 {
    margin-left: 0px;
  }
}

/*safari表示崩れ対策*/
_::-webkit-full-page-media,
_:future,
:root .search-select {
  height: 35px;
}

_::-webkit-full-page-media,
_:future,
:root .service-point-no-safari {
  min-width: 160px;
}